<!DOCTYPE html>
{% if article %}
<!--[if lt IE 7]>      <html lang="{{ DEFAULT_LANG }}" class="no-js lt-ie9 lt-ie8 lt-ie7" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/BlogPosting"> <![endif]-->
<!--[if IE 7]>         <html lang="{{ DEFAULT_LANG }}" class="no-js lt-ie9 lt-ie8" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/BlogPosting"> <![endif]-->
<!--[if IE 8]>         <html lang="{{ DEFAULT_LANG }}" class="no-js lt-ie9" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/BlogPosting"> <![endif]-->
<!--[if gt IE 8]><!--> <html lang="{{ DEFAULT_LANG }}" class="no-js" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/BlogPosting"> <!--<![endif]-->
{% elif page %}
<!--[if lt IE 7]>      <html lang="{{ DEFAULT_LANG }}" class="no-js lt-ie9 lt-ie8 lt-ie7" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/WebPage"> <![endif]-->
<!--[if IE 7]>         <html lang="{{ DEFAULT_LANG }}" class="no-js lt-ie9 lt-ie8" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/WebPage"> <![endif]-->
<!--[if IE 8]>         <html lang="{{ DEFAULT_LANG }}" class="no-js lt-ie9" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/WebPage"> <![endif]-->
<!--[if gt IE 8]><!--> <html lang="{{ DEFAULT_LANG }}" class="no-js" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/WebPage"> <!--<![endif]-->
{% else %}
<!--[if lt IE 7]>      <html lang="{{ DEFAULT_LANG }}" class="no-js lt-ie9 lt-ie8 lt-ie7" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/Blog"> <![endif]-->
<!--[if IE 7]>         <html lang="{{ DEFAULT_LANG }}" class="no-js lt-ie9 lt-ie8" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/Blog"> <![endif]-->
<!--[if IE 8]>         <html lang="{{ DEFAULT_LANG }}" class="no-js lt-ie9" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/Blog"> <![endif]-->
<!--[if gt IE 8]><!--> <html lang="{{ DEFAULT_LANG }}" class="no-js" prefix="og: http://ogp.me/ns#" itemscope itemtype="http://schema.org/Blog"> <!--<![endif]-->
{% endif %}
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>{% block title %}{{ SITENAME }}{% endblock %}</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" href="{{ FAVICON }}" type="{{ FAVICON_TYPE }}">
<meta name="author" content="{{ AUTHOR }}">
<meta name="copyright" content="{{ AUTHOR }}">
<meta name="twitter:card" content="summary" />
<meta name="twitter:site" content="@{{ TWITTER_USERNAME }}" />
<meta property="og:site_name" content="{{ SITENAME }}" />
{% block seo %}
<meta property="og:title" content="{{ SITENAME }}" />
<meta property="og:type" content="website" />
<meta property="og:url" content="{{ SITEURL }}" />
<meta name="twitter:url" content="{{ SITEURL }}" />
<meta itemprop="name" content="{{ SITENAME }}" />
<meta itemprop="url" content="{{ SITEURL }}"/>
{% if DESCRIPTION %}
<meta name="description" content="{% block description %}{{ DESCRIPTION }}{% endblock %}">
<meta property="og:description" content="{{ DESCRIPTION }}" />
<meta name="twitter:description" content="{{ DESCRIPTION }}" />
<meta itemprop="description" content="{{ DESCRIPTION  }}" />
{% endif %}
{% if META_IMAGE %}
<meta property="og:image" content="{{ META_IMAGE }}" />
<meta property="og:image:type" content="{{ META_IMAGE_TYPE }}" />
<meta name="twitter:image" content="{{ META_IMAGE }}" />
<meta itemprop="image" content="{{ META_IMAGE }}" />
{% endif %}
{% endblock %}
<link href="{{ SITEURL }}/{{ FEED_ALL_ATOM }}" type="application/atom+xml" rel="alternate" title="{{ SITENAME }} ATOM Feed"/>
<link rel="stylesheet" href="/theme/css/asciidoctor-default.css">
<link rel="stylesheet" href="/theme/css/uikit.min.css">
{% if not DISABLE_SEARCH %}
<link rel="stylesheet" href="/theme/css/search.min.css">
<link rel="stylesheet" href="/theme/css/tipuesearch.css">
{% endif %}
<link rel="stylesheet" href="/theme/css/tango-pygments.css">
<link rel="stylesheet" href="/theme/css/fontawesome-all.css">
<link rel="stylesheet" href="/theme/css/main.css">

<!--script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.2/html5shiv.min.js"></script-->
</head>
<body>
<!--[if lt IE 7]>
            <p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->

<div class="blog-masthead">
	<div class="uk-container uk-container-center">
		<nav class="blog-nav">
            {% for name, link in MENUITEMS %}
				<a class="blog-nav-item
				{% if page and page.url in link
					or page_name and page_name in link
					or page_name and page_name == 'index' and link == '/'
					or category and category.name|lower in link
				%} active {% endif %}
" href="{% if DEFAULT_LANG != main_lang %}/{{DEFAULT_LANG}}{% endif %}{{ link }}">{{ name }}</a>
			{% endfor %}
			{% for lang, url in lang_siteurls.items() %}
				<a href="{{ url }}{% if page and page.url %}/{{ page.url }}{% elif article and article.url %}/{{ article.url }}{% endif %}"
	class="blog-nav-item lang {% if lang == DEFAULT_LANG %} active {% endif %}">{{ lang }}</a>
			{% endfor %}

		</nav>
	</div>
</div>

<main class="mg-main">

<div class="uk-container uk-container-center">
	<div class="blog-header">
		<div id="headlines">
			<div id="meta_press_logo"></div>
			<a href="{{ SITEURL }}"><h1 class="blog-title">{{ SITENAME }}</h1></a>
			<p class="lead blog-description">{{ SITESUBTITLE }}</p>
		</div>
	</div>

    <div class="uk-grid uk-grid-conten" data-uk-grid-margin>

        {% block content %}
        {% endblock %}

        <div class="uk-width-medium-3-10">
            {% if not DISABLE_SEARCH %}
            <div class="uk-panel uk-panel-box">
                <form class="uk-search" action="/search.html" data-uk-search>
                    <input class="uk-search-field tipue_search" type="search" name="q" id="tipue_search_input" autocomplete="off" placeholder="in this blog...">
                </form>
            </div>
            {% endif %}

            {% if LINKS %}
            <div class="uk-panel uk-panel-box">
                <h3 class="uk-panel-title">Ressources</h3>
				<ul>
                {% for name, link, icon in LINKS %}
				<li style="list-style-image: url({{ icon }});">
					<a class="mg-icon-link" href="{{ link }}">{{ name }}</a>
				</li>
                {% endfor %}
				</ul>
				<a rel="alternate" type="application/atom+xml" href="{{ SITEURL }}/{{ FEED_ALL_ATOM }}" class="mp-rss"><i class="uk-icon-rss uk-icon-small"></i>Flux</a>
            </div>
				<!--br/>
				<script src="https://liberapay.com/Meta-Press.es/widgets/button.js"></script>
				<noscript><a href="https://liberapay.com/Meta-Press.es/donate"><img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg"></a></noscript-->
            {% endif %}
            {% if SOCIAL %}
            <div class="uk-panel uk-panel-box">
                <!--h3 class="uk-panel-title">Contacts</h3-->
                {% for icon, link in SOCIAL %}
				<center><a class="mg-icon-link" href="{{ link }}">
                    <i class="uk-icon-{{ icon }} uk-icon-medium"></i>
                </a>
                {% endfor %}
            </div>
            {% endif %}
        </div>
    </div>
</div>

</main>

<footer class="mg-footer">
    <div class="uk-container uk-container-center uk-text-center">
        <div class="mg-author uk-panel">
            <p>{{ FOOTER }}</p>
        </div>
    </div>
</footer>

{#
<div id="mg-offcanvas" class="uk-offcanvas">
    <div class="uk-offcanvas-bar">

        {% if not DISABLE_SEARCH %}
        <form class="uk-search" action="search.html" data-uk-search>
            <input class="uk-search-field" type="search" name="q" id="tipue_search_input" autocomplete="off" placeholder="Search...">
        </form>
        {% endif %}

        <ul class="uk-nav uk-nav-offcanvas" data-uk-nav>
            <li class="uk-nav-header">Categories</li>
            {% for cat, _ in categories %}
            <li {% if cat == category %}class="uk-active"{% endif %}><a href="{{ SITEURL }}/{{ cat.url }}">{{ cat }}</a></li>
            {% endfor %}
            {% if DISPLAY_PAGES_ON_MENU != False %}
            <li class="uk-nav-header">Pages</li>
            {% for p in pages %}
            <li {% if p == page %}class="uk-active"{% endif %}>
                <a href="{{ SITEURL }}/{{ p.url }}">{{ p.title }}</a>
            </li>
            {% endfor %}

            {% endif %}

            <li class="uk-nav-divider"></li>
            <li><a href="{{ SITEURL }}/{{ ARCHIVES_URL }}">Archives</a></li>
        </ul>
    </div>
</div>
#}

<script type="text/javascript">var default_lang = "{{DEFAULT_LANG}}"; </script>
<script src="/theme/js/accept-lang.js"></script>
<script src="/theme/js/jquery.min.js"></script>
<script src="/theme/js/uikit.min.js"></script>
<script src="/theme/js/jquery.sticky-kit.js"></script>
<script src="/theme/js/plugins.js"></script>

{% block search_js %}
{% endblock %}

</body>
</html>

